#loader-screen {
  position: fixed;
  top: 0;
  left: 0;
  width:100vw; 
  height:100vh; 
  z-index: 10000;
  background-color: white;
}

.loader {
  width: 60px;
  height: 60px;
  display: inline-block;
  position: relative;
  transform: translate(-50%, -50%) rotate(45deg);
  margin-left: 50vw;
  align-self: center;
  margin-top: 50vh;
}

.loader::before {
  content: '';  
  box-sizing: border-box;
  width: 30px;
  height: 30px;
  position: absolute;
  left: 0;
  top: -30px;
  animation: animloader 4s ease infinite;
}

.loader::after {
  content: '';  
  box-sizing: border-box;
  position: absolute;
  left: 0;
  top: 0;
  width: 30px;
  height: 30px;
  background: #ea80fc;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
  animation: animloader2 2s ease infinite;
}

@keyframes animloader {
  0% {
    box-shadow: 0 30px rgba(255, 255, 255, 0), 30px 30px rgba(255, 255, 255, 0), 30px 60px rgba(255, 255, 255, 0), 0px 60px rgba(255, 255, 255, 0);
  }
  12% {
    box-shadow: 0 30px #960266, 30px 30px rgba(255, 255, 255, 0), 30px 60px rgba(255, 255, 255, 0), 0px 60px rgba(255, 255, 255, 0);
  }
  25% {
    box-shadow: 0 30px #960266, 30px 30px #960266, 30px 60px rgba(255, 255, 255, 0), 0px 60px rgba(255, 255, 255, 0);
  }
  37% {
    box-shadow: 0 30px #960266, 30px 30px #960266, 30px 60px #960266, 0px 60px rgba(255, 255, 255, 0);
  }
  50% {
    box-shadow: 0 30px #960266, 30px 30px #960266, 30px 60px #960266, 0px 60px #960266;
  }
  62% {
    box-shadow: 0 30px rgba(255, 255, 255, 0), 30px 30px #960266, 30px 60px #960266, 0px 60px #960266;
  }
  75% {
    box-shadow: 0 30px rgba(255, 255, 255, 0), 30px 30px rgba(255, 255, 255, 0), 30px 60px #960266, 0px 60px #960266;
  }
  87% {
    box-shadow: 0 30px rgba(255, 255, 255, 0), 30px 30px rgba(255, 255, 255, 0), 30px 60px rgba(255, 255, 255, 0), 0px 60px #960266;
  }
  100% {
    box-shadow: 0 30px rgba(255, 255, 255, 0), 30px 30px rgba(255, 255, 255, 0), 30px 60px rgba(255, 255, 255, 0), 0px 60px rgba(255, 255, 255, 0);
  }
}

@keyframes animloader2 {
  0% {
    transform: translate(0, 0) rotateX(0) rotateY(0);
  }
  25% {
    transform: translate(100%, 0) rotateX(0) rotateY(180deg);
  }
  50% {
    transform: translate(100%, 100%) rotateX(-180deg) rotateY(180deg);
  }
  75% {
    transform: translate(0, 100%) rotateX(-180deg) rotateY(360deg);
  }
  100% {
    transform: translate(0, 0) rotateX(0) rotateY(360deg);
  }
}

:root {
  --accent-color: #f3e5f5;
  /* --main-color: #953553; */
  /* --bluish-bg: #c2deff; */
  --main-color: #960266;
  --darker-shade: #3a032d;
  --bluish-grey: #263238;
  --yellow: #ffc800;
}

* {
  font-family: 'Poppins', sans-serif;
}

body {
  overflow-x: hidden;
}

#search-btn {
  background-color: var(--main-color) !important;
  border-top-right-radius: 50%;
  border-bottom-right-radius: 50%;
}

#search-box:focus {
  outline: none !important;
  font-size: small;
}

@media only screen and (min-width: 992px) {
  #lecture-video.ratio-4x3 {
    --bs-aspect-ratio: 60%;
  }
}

@media screen and (min-width: 768px) {
  a.nav-link {
    /* padding-bottom: 0.5rem; */
    /* border-bottom-color: transparent; */
    /* border-bottom-width: 1px; */
    /* border-bottom-style: solid; */
    transition: all 0.4s;
  }
  
  a.nav-link:hover {
    /* padding-bottom: 0; */
    background-color: var(--accent-color);
    /* border-bottom-color: #ccc; */
  }

  .slide-item {
    clip-path: inset(10% 10% round 2%);
    aspect-ratio: 1;
  }

  #login {
    border: 1px solid var(--main-color);
    color: var(--main-color);
  }

  #login:hover {
    background-color: var(--main-color);
    color: white !important;
  }

  #len4biz:hover {
    background-color: rgb(var(--bs-secondary-bg-rgb)) !important;
  }

  #list-of-subjects .dropdown-menu {
    transform: scaleY(0);
    transition: all 1s;
  }
  
  #list-of-subjects:hover .dropdown-menu {
    transform: scaleY(1);
  }

  /* #search-bar:focus-within .dropdown-menu {
    display: block;
  } */

  main {
    margin-left: 24rem;
    margin-top: 8rem;
  }

  aside {
    width: 20rem;
    height: 80vh;
  }

  .left-pane {
    height: 85vh;
    max-width: 440px;
    z-index: 1;
  }

  #len4biz {
    font-size:smaller;
  }
} 

@media (max-width: 768px) {
  .offcanvas-collapse {
    position: fixed;
    display: flex;
    flex-direction: column;
    align-items: end !important;
    top: 71px; /* Height of navbar */
    bottom: 0;
    left: -80%;
    width: 80%;
    padding: 1rem;
    overflow-y: auto;
    visibility: hidden;
    overflow-x: hidden;
    background-color: white;
    transition: transform .3s ease-in-out, visibility .3s ease-in-out;
  }

  .offcanvas-collapse.open {
    visibility: visible;
    transform: translateX(100%);
  }

  .slide-item {
    width: 100%;
    height: 20rem;
  }

  .nav.nav-pills {
    font-size: medium;
  }

  main {
    margin-left: 4rem;
    margin-top: 8rem;
  }

  aside {
    width: 20rem;
    height: 80vh;
    margin-left: -20rem;
    transition: 1s;
  }

  .left-pane {
    min-height: 85vh;
  }
}

.navbar-toggler:focus {
  outline: none !important; 
  box-shadow: none !important;
} 

.bar {
  height: 4px;
  width: 30px;
  background-color: var(--main-color);
  border-radius: 2px;
  transition: all 0.2s;
}

.top-bar {
  transform: rotate(45deg);
  transform-origin: 28% 10%;
}

.middle-bar {
  opacity: 0;
}

.bottom-bar {
  transform: rotate(-45deg);
  transform-origin: 28% 90%;
}

.close .top-bar {
  width: 32px;
  margin-bottom: 6px;
  transform: rotate(0);      
}

.close .middle-bar {
  width: 24px;
  margin-bottom: 6px;
  opacity: 1;
}

.close .bottom-bar {
  width: 28px;
  transform: rotate(0);
}

section:nth-of-type(2n+1) {
  background-color: #f8f9fa;;
}

.slide-item {
  aspect-ratio: 1;
}

.carousel-indicators > Button.active{
  width: 20px !important;
  background-color: var(--main-color) !important;
}

.course-banner {
  left: 0; 
  height: 30px; 
  line-height: 30px; 
  font-family: 'Roboto', sans-serif; 
  font-size: smaller;
  cursor: pointer;
}

#curated-courses .item:hover span {
  height: 100%;
}

#newsletter {
  border-top-left-radius: 40px;
  border-bottom-left-radius: 40px;
}

#newsletter-btn {
  font-size: small;
  border-top-right-radius: 40px;
  border-bottom-right-radius: 40px;
  background-color: var(--main-color) !important;
}

input[type="checkbox"]:checked {
  background-color: var(--main-color) !important;
  border-color: var(--main-color) !important;
}

.main-color, .main-color:hover {
  color: var(--main-color) !important;
}

.main-color-bg, .main-color-bg:hover {
  color: white !important;
  background-color: var(--main-color) !important;
}

.login-grad {
  background: radial-gradient(farthest-side, white, #f9f9f9 90%);
}

.dot-spinner {
  display: inline-block;
  position: relative;
  width: 16px;
  height: 16px;
  margin-left: .5rem;
}
.dot-spinner div {
  position: absolute;
  width: 4px;
  height: 4px;
  background: #fff;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  animation: dot-spinner 1.2s linear infinite;
}
.dot-spinner div:nth-child(1) {
  top: 8px;
  left: 16px;
}
.dot-spinner div:nth-child(2) {
  animation-delay: 0.2s;
  top: calc(8px + 8px * sin(60deg));
  left: calc(8px + 8px * cos(60deg));
}
.dot-spinner div:nth-child(3) {
  animation-delay: 0.4s;
  top: calc(8px + 8px * sin(120deg));
  left: calc(8px + 8px * cos(120deg));
}
.dot-spinner div:nth-child(4) {
  animation-delay: 0.6s;
  top: calc(8px + 8px * sin(180deg));
  left: calc(8px + 8px * cos(180deg));
}
.dot-spinner div:nth-child(5) {
  animation-delay: 0.8s;
  top: calc(8px + 8px * sin(240deg));
  left: calc(8px + 8px * cos(240deg));
}
.dot-spinner div:nth-child(6) {
  animation-delay: 1s;
  top: calc(8px + 8px * sin(300deg));
  left: calc(8px + 8px * cos(300deg));
}
@keyframes dot-spinner {
  0%, 20%, 80%, 100% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.5);
  }
}

.nav-link.active {
  color: var(--main-color) !important;
}

/* .nav-link.active:hover {
  border-color: var(--main-color);
} */

.tag {
  clip-path: polygon(0% 0%, 90% 0%, 100% 50%, 90% 100%, 0% 100%);
}

.star {
  color: goldenrod;
}

.enroll {
  padding: 0.2rem 1rem;
  font-size: 14px;

}

.enroll:hover {
  font-weight: bolder;
}

.btn-outline-main {
  color: var(--main-color);
  border-color: var(--main-color) !important;
  background-color: white;
}

.btn-outline-main:hover {
  color: var(--accent-color);
  background-color: var(--main-color) !important;
}

.btn-outline-main:hover * {
  color: var(--accent-color);
}

[contenteditable]:focus {
  outline: none !important;
}

.list-group-item.active, .list-group-item.active:hover {
  background-color: var(--main-color);
  border-color: var(--main-color);
}

.list-group-item:hover {
  background-color: var(--accent-color);
}

option:not(option:disabled):checked {
  color: white;
  background-color: var(--main-color) !important;
}

.course-header, .course-header * {
  display: flex;
  font-size: 14px;
  text-decoration: none;
}

.course-header a:hover:not(:last-of-type) {
  text-decoration: underline;
}

.course-header > a::after {
  content: '';
  width: 0.5rem;
  height: 0.5rem;
  margin: auto 0.5rem;
  border-top: 2px solid black;
  border-right: 2px solid black;
  transform: rotate(45deg);
}

.course-header > a:last-child::after {
  content: '';
  border: none;
}

.intro-play-btn {
  z-index: 10;
}

.intro-play-btn:hover {
  cursor: pointer !important;
}

.nav .nav-link {
  transition: none;
}

.nav .nav-link:hover {
  border: 0;
  font-weight: bold;
}

ol {
  counter-reset: lesson;
  list-style-type: none;
}

ol li {
  counter-increment: lesson;
  border: none !important;
}

ol li a::before {
  content: counters(lesson, '.');
  margin-right: 1rem;
}

.faq {
  text-decoration-color: #bdbdbd;
}

.faq:hover {
  text-decoration-color: black;
}

.decor {
  clip-path: polygon(3% 0%, 100% 0%, 97% 50%, 100% 50%, 97% 100%, 0% 100%, 3% 50%, 0% 50%);
  background-color: gold !important;
}

.course-info td {
  padding: 1rem 0;
}

.more-or-less {
  padding-top: 3rem;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 4rem;
  background: linear-gradient(transparent, white 45%);
}

.nav-pills .nav-link:hover {
  background-color: var(--accent-color);
  font-weight: normal;
}

.nav-pills .nav-link.active {
  background-color: var(--accent-color) !important;
  border-bottom: 4px solid var(--main-color);
}

.nav-pills .nav-link2 {
  text-decoration: underline;
  font-size: 1.125rem;
}

.nav-pills .nav-link2:hover {
  background: none;
}

.nav-pills .nav-link2.active {
  background: none !important;
  border: none;
  font-weight: bold;
  color: #055160 !important;
}

.goal {
  box-shadow: none !important;
  border: 2px solid dimgray;
}

.card dl{
  counter-reset: sub-lesson;
}

.card dl dt{
  counter-increment: sub-lesson;
}

.card dl div.accordion-body {
  counter-reset: sub-lesson;
}

.card dl div.accordion-body small::before {
  counter-increment: sub-lesson;
  content: counters(sub-lesson, ".");
  margin-right: 1rem;
}

.msg-out {
  clip-path: polygon(0% 0%, 100% 0%, 100% 75%, 75% 75%, 75% 100%, 50% 75%, 0% 75%);
}

.msg-in {
  clip-path: polygon(50% 25%, 50% 0%, 75% 25%, 100% 25%, 100% 100%, 0% 100%, 0% 25%);
}

.nav-tabs .nav-link:hover {
  background-color: var(--accent-color);
  font-weight: normal;
}

.nav-tabs .nav-link.active {
  background-color: var(--main-color);
  color: white !important;
}

.reply:hover > .invisible {
  visibility: visible !important;
}

.reply-area {
  z-index: 10;
}

#edit-area:hover {
  cursor: text;
}

#edit-area ol {
  list-style: decimal;
}

.dropdown-menu .dropdown-item.active {
  background-color: var(--main-color);
}

input[type="radio"]:checked {
  background-color: var(--main-color);
  border-color: var(--main-color);
}

.emoticon:hover, .symbol:hover {
  background-color: var(--accent-color);
}

.mate-reply:hover, .mate-post:hover {
  cursor: pointer;
}

#scroll-up {
  display: none;
}

.spinner-border {
  border-color: var(--main-color);
  border-bottom-color: transparent;
}

#acct-interests option:checked{
  background-color: var(--accent-color) !important;
}

.materials {
  counter-reset: pdf;
}

.materials dt::before {
  counter-increment: pdf; 
  content: "Lesson " counter(pdf) ": ";
}

.materials dd::before {
  counter-increment: pdf; 
  content: counters(pdf, ".") " ";
}

.pdf-download {
  text-decoration: none;
}

.pdf-download:hover {
  text-decoration: underline;
}

.banner-bg {
  background-color: white;
  height: 4rem;
  line-height: 5rem;
  padding-left: 2rem;
}

.breadcrumb-item a::before {
  content: '';
  margin: 0;
}

.breadcrumb-item.active {
  color: var(--main-color) !important;
}

.dark-text {
  color: var(--darker-shade);
}

.skew {
  transform: skewX(-10deg);
  border-right: 5px solid #d23228;
}

.skew-alt {
  transform: skewX(-10deg);
  border-left: 5px solid #d23228;
}

.direct:hover {
  border-color: black !important;
  cursor: pointer;
}

.direct:hover p {
  font-weight: bold;
  text-decoration: underline;
}

#explore-courses {
  border-color: var(--main-color);
  color: var(--main-color);
}

#explore-courses:hover {
  background-color: var(--accent-color) !important;
}

#hidden-count:focus {
  outline-offset: .3rem !important;
  outline: 2px solid #e1dddb !important;
}

.card-hover {
  transition: scale .5s;
}

.card-hover:hover {
  scale: 1.05;
}

aside::-webkit-scrollbar {
  display: none;
}

aside:hover::-webkit-scrollbar {
  display: initial;
  width: 8px;
}

aside:hover::-webkit-scrollbar-track {
  margin: 8px 0;
}

aside:hover::-webkit-scrollbar-thumb {
  background-color: #aaa;
  border-radius: 4px;
}

aside:hover::-webkit-scrollbar-thumb:hover {
  background-color: grey;
}

aside:hover::-webkit-scrollbar-button:vertical {
  height: 4px;
  width: 4px;
	border-left: 4px solid transparent;
	border-right: 4px solid transparent;
}

aside:hover::-webkit-scrollbar-button:vertical:decrement {
	border-bottom: 8px solid #aaa;
}

aside:hover::-webkit-scrollbar-button:vertical:decrement:hover {
  border-bottom-color: grey;
}

aside:hover::-webkit-scrollbar-button:vertical:increment {
	border-top: 8px solid #aaa;
}

aside:hover::-webkit-scrollbar-button:vertical:decrement:hover {
  border-top-color: grey;
}

aside .accordion {
  min-height: 81vh;
}

.accordion-button.active {
  background-color: var(--accent-color);
  border-left: 4px solid var(--main-color);
}

aside .accordion, aside .accordion .accordion-collapse {
  counter-reset: topic;
}

aside .accordion h2 button strong::before {
  counter-increment: topic;
  content: counter(topic) '. ';
}

aside .accordion .accordion-collapse h2 button::before {
  counter-increment: topic;
  content: counters(topic, '.');
  margin-right: .5rem;
}

#toggle-side-pane {
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
  border-top-right-radius: 50%;
  border-bottom-right-radius: 50%;
  border-left: none;
  top: 8rem;
  left: 0rem;
  transition: 1s;
}

input:focus:invalid + label {
  color: red;
}

div.invalid-feedback {
  font-size: 12px;
}

.emoji-search::placeholder {
  font-size: small;
  font-style: italic;
}

.emoji-search+a, .emoji-search+a:hover {
  font-size: small;
  line-height: 1.5rem;
  color: var(--accent-color);
  background-color: var(--main-color);
}

input[type='checkbox'].is-valid:checked {
  background-color: green !important;
  border: none;
}

.vstack.gap-3 .nav-link:hover {
  cursor: pointer;
  font-weight: 700;
}

.vstack.gap-3 .nav-link.active {
  font-weight: 900;
}

#lecture-video {
  max-width: 700px !important;
}

#lecture-video:hover .progress {
  scale: 1 2;
  cursor: pointer;
}

#video-spinner {
  max-width: 700px;
  aspect-ratio: 16/9;
}

input[type='range']::-webkit-slider-thumb {
  background-color: #cb598d;
}

input[type='range']::-webkit-slider-runnable-track {
  background-color: #8e3e63;
}

.review-star {
  color: rgb(241,243,244);
  cursor:pointer;
}

.course-subject:hover {
  background-color: var(--accent-color) !important;
}

#view-subjects:hover {
  background-color: rgb(var(--bs-light-rgb)) !important;
  /* background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important; */
}

.more-btn {
  font-family: 'Rubik', sans-serif;
}

.more-btn:hover {
  font-weight: 900;
}

.more-btn:hover svg {
  background-color: #212529;
  color: #f8f9fa !important;
}

.card-hover {
  transition: scale .5s;
}

.card-hover:hover {
  scale: 1.05;
}

#explore-careers:hover {
  color: #ee6e73 !important;
}

#submit-interests {
  margin-bottom: 6rem;
}
/* .grid-layout {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
  grid-auto-rows: minmax(100px, auto);
} */

@keyframes pulsing-anim {
  0% {
    box-shadow: 0 0 0 0px rgba(255, 255, 255, 0.5);
  }
  100% {
    box-shadow: 0 0 0 20px rgba(255, 255, 255, 0);
  }
}

footer {
  background-color: var(--bluish-grey);
  min-height: 300px;
  padding-top: 3rem;
  font-size: small;
}
    
.left-pane::-webkit-scrollbar, #course-areas::-webkit-scrollbar {
  width: 8px;
}

.left-pane::-webkit-scrollbar-track, #course-areas::-webkit-scrollbar-track {
  background: white; 
}

.left-pane::-webkit-scrollbar-thumb, #course-areas::-webkit-scrollbar-thumb {
  background: #aaa; 
  border-radius: 4px;
}

.left-pane::-webkit-scrollbar-thumb:hover, #course-areas::-webkit-scrollbar-thumb:hover {
  background: grey; 
}

.owl-carousel .owl-stage {
  display: flex;
  align-items: stretch;
}

@keyframes animate-shimmer {
 0% {
   background-position: -1000px 0;
 }
 100% {
   background-position: 1000px 0;
 }
}